task replaceRG {

  File bam
  String sample
  String group
  String pl
  String bam_name = basename(bam, ".bam")
  String docker
  String cluster_config
  String disk_size

  command <<<
    samtools addreplacerg -r "@RG\tID:${group}\tSM:${sample}\tPL:${pl}" -o ${bam_name}.bam ${bam}
    samtools index ${bam_name}.bam ${bam_name}.bam.bai
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    File deduped_bam = "${bam_name}.bam"
    File deduped_bam_index = "${bam_name}.bam.bai"
  }
}

